## python-wsme 0.12.1

=== requirements.txt ===
WebOb>=1.8.0
simplegeneric
pytz
netaddr>=0.7.12
# TODO: Drop this when Python 3.10 is our minimum supported version
importlib_metadata>=4.4 # Apache-2.0

=== debian/changelog ===
python-wsme (0.12.1-8) unstable; urgency=medium

  * Cleans better (Closes: #1046977).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:04:59 +0100

python-wsme (0.12.1-7) unstable; urgency=medium

  * Cherry pick the upstream commit and drop the pytz dependency.
    (Closes: #1099602).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 17:42:09 +0100

python-wsme (0.12.1-6) unstable; urgency=medium

  * Drop python3-simplejson depends (Closes: #1093299).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 May 2025 04:20:25 +0200

python-wsme (0.12.1-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090635).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 21:53:57 +0100

python-wsme (0.12.1-4) unstable; urgency=medium

  * Drop python3-pkg-resources runtime depends (Closes: #1083723).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 09:24:27 +0200

python-wsme (0.12.1-3) unstable; urgency=medium

  * Add Remove_support_for_cgi.FieldStorage.patch (Closes: #1084594).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 09:31:00 +0200

python-wsme (0.12.1-2) unstable; urgency=medium

  * Uploading to unstable, fixing FTBFS (Closes: #1067260).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2024 11:16:28 +0100

python-wsme (0.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop py3.11-use-inspect.getfullargspec-not-getargspec.patch.
  * Add py3.12-fix-importlib_metadata.patch.
  * Blacklist test_post_model and test_restful_post.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 01:08:31 +0100

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 lsb-release,
 python3-cherrypy3,
 python3-flask (>= 1.1.0),
 python3-flask-restful,
 python3-lxml,
 python3-mock,
 python3-netaddr,
 python3-pecan,
 python3-pytest,
 python3-simplegeneric,
 python3-sqlalchemy,
 python3-testtools,
 python3-transaction,
 python3-webob,
 python3-webtest,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wsme
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wsme.git
Homepage: https://opendev.org/x/wsme

Package: python3-wsme
Architecture: all
Depends:
 python3-jinja2,
 python3-netaddr,
 python3-simplegeneric,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
 ${wheezy-added-deps},
Recommends:
 ${python3:Recommends},
Description: Web Services Made Easy: implement multi-protocol webservices - Python 3.x
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/x/wsme
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf .test_sphinxext .pytest_cache .pybuild
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
		PYTHONPATH=. python$$pyvers -m pytest -v tests -k 'not test_post_model and not test_restful_post'; \
	done
endif

override_dh_gencontrol:
	RELCODE=`lsb_release -a | grep Codename | awk '{print $$2}'` && \
		if [ $$RELCODE = "wheezy" ] || [ $$RELCODE = "precise" ] ; then \
			dh_gencontrol -- -T$(CURDIR)/debian/wheezy_deps ; \
		else \
			dh_gencontrol ; \
		fi
